ghc-7.0.4: The GHC API

SysTools

Synopsis

- initSysTools :: Maybe String -> DynFlags -> IO DynFlags
- runUnlit :: DynFlags -> [Option] -> IO ()
- runCpp :: DynFlags -> [Option] -> IO ()
- runCc :: DynFlags -> [Option] -> IO ()
- runPp :: DynFlags -> [Option] -> IO ()
- runMangle :: DynFlags -> [Option] -> IO ()
- runSplit :: DynFlags -> [Option] -> IO ()
- runAs :: DynFlags -> [Option] -> IO ()
- runLink :: DynFlags -> [Option] -> IO ()
- runMkDLL :: DynFlags -> [Option] -> IO ()
- runWindres :: DynFlags -> [Option] -> IO ()
- runLlvmOpt :: DynFlags -> [Option] -> IO ()
- runLlvmLlc :: DynFlags -> [Option] -> IO ()
- touch :: DynFlags -> String -> String -> IO ()
- copy :: DynFlags -> String -> FilePath -> FilePath -> IO ()
- copyWithHeader :: DynFlags -> String -> Maybe String -> FilePath -> FilePath -> IO ()
- getExtraViaCOpts :: DynFlags -> IO [String]
- setTmpDir :: FilePath -> DynFlags -> DynFlags
- newTempName :: DynFlags -> Suffix -> IO FilePath
- cleanTempDirs :: DynFlags -> IO ()
- cleanTempFiles :: DynFlags -> IO ()
- cleanTempFilesExcept :: DynFlags -> [FilePath] -> IO ()
- addFilesToClean :: DynFlags -> [FilePath] -> IO ()
- data Option
  - = FileOption String String
  - | Option String

# Documentation

initSysTools :: Maybe String -> DynFlags -> IO DynFlags Source

runUnlit :: DynFlags -> [Option] -> IO ()Source

runCpp :: DynFlags -> [Option] -> IO ()Source

runCc :: DynFlags -> [Option] -> IO ()Source

runPp :: DynFlags -> [Option] -> IO ()Source

runMangle :: DynFlags -> [Option] -> IO ()Source

runSplit :: DynFlags -> [Option] -> IO ()Source

runAs :: DynFlags -> [Option] -> IO ()Source

runLink :: DynFlags -> [Option] -> IO ()Source

runMkDLL :: DynFlags -> [Option] -> IO ()Source

runWindres :: DynFlags -> [Option] -> IO ()Source

runLlvmOpt :: DynFlags -> [Option] -> IO ()Source

runLlvmLlc :: DynFlags -> [Option] -> IO ()Source

touch :: DynFlags -> String -> String -> IO ()Source

copy :: DynFlags -> String -> FilePath -> FilePath -> IO ()Source

copyWithHeader :: DynFlags -> String -> Maybe String -> FilePath -> FilePath -> IO ()Source

getExtraViaCOpts :: DynFlags -> IO [String]Source

setTmpDir :: FilePath -> DynFlags -> DynFlags Source

newTempName :: DynFlags -> Suffix -> IO FilePath Source

cleanTempDirs :: DynFlags -> IO ()Source

cleanTempFiles :: DynFlags -> IO ()Source

cleanTempFilesExcept :: DynFlags -> [FilePath] -> IO ()Source

addFilesToClean :: DynFlags -> [FilePath] -> IO ()Source

data Option Source

When invoking external tools as part of the compilation pipeline, we pass these a sequence of options on the command-line. Rather than just using a list of Strings, we use a type that allows us to distinguish between filepaths and 'other stuff'. The reason for this is that this type gives us a handle on transforming filenames, and filenames only, to whatever format they're expected to be on a particular platform.

Constructors

FileOption String String |
Option String |